#include <CL/sycl.hpp>

#include <iostream>

int main()
{
    cl::sycl::queue q{};

    q.submit([&](cl::sycl::handler& cgh) { 
	cgh.parallel_for(cl::sycl::range<1>{5}, [=](cl::sycl::id<1> idx) {
		std::cout << "Hello from hipSYCL on Rasberry Pi 4B+!!!\n" << std::endl;
	}); 
    });

    q.wait();

    return 0L;
}